Skip to main content
Queries

Get archived query by query Id

This method requires the Queries:Get permission to be associated with the role.

GET
/gb/queries/archive
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
query_idstringqueryrequired

Query Id to search

pageintegerquerydefault:1

Optional page number

page_sizeintegerquerydefault:25

Optional page size

Time-Zonestringheaderdefault:UTC

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pagenumber
Example: 1
page_countnumber
Example: 1
page_sizenumber
Example: 25
total_itemsnumber
Example: 1